DRC(1)

NAME
drc - a program for acoustic compensation of audio systems

SYNOPSIS
drc [options] DRCFile
DRCFile is name of DRC configuration file

DESCRIPTION
This manual page documents briefly the drc program. This manual page was written for the Debian distribution because the original program does not have a manual page.

drc is program used to generate correction filters for acoustic compensation of HiFi and audio systems in general, including listening room compensation.
 Program generates just the FIR correction filters, which can be used with a real time or offline convolver to provide real time or offline correction.

drc doesn't provide convolution features, and provides only some simplified, although really accurate, measuring tools.

OPTIONS

--help
       Show the full options list

  --BCBaseDir <STRING>
  --BCInFile <STRING>
  --BCInFileType <STRING>
  --BCSampleRate <INTEGER>
  --BCImpulseCenterMode <STRING>
  --BCImpulseCenter <INTEGER>
  --BCInitWindow <INTEGER>
  --BCPreWindowLen <INTEGER>
  --BCPreWindowGap <INTEGER>
  --BCNormFactor <FLOAT>
  --BCNormType <STRING>
  --MCFilterType <STRING>
  --MCInterpolationType <STRING>
  --MCMultExponent <INTEGER>
  --MCFilterLen <INTEGER>
  --MCNumPoints <INTEGER>
  --MCPointsFile <STRING>
  --MCMagType <STRING>
  --MCFilterFile <STRING>
  --MCFilterFileType <STRING>
  --MCOutWindow <INTEGER>
  --MCNormFactor <FLOAT>
  --MCNormType <STRING>
  --MCOutFile <STRING>
  --MCOutFileType <STRING>
  --BCDLType <STRING>
  --BCDLMinGain <FLOAT>
  --BCDLStartFreq <FLOAT>
  --BCDLEndFreq <FLOAT>
  --BCDLStart <FLOAT>
  --BCDLMultExponent <INTEGER>
  --HDMultExponent <INTEGER>
  --HDMPNormFactor <FLOAT>
  --HDMPNormType <STRING>
  --HDMPOutFile <STRING>
  --HDMPOutFileType <STRING>
  --HDEPNormFactor <FLOAT>
  --HDEPNormType <STRING>
  --HDEPOutFile <STRING>
  --HDEPOutFileType <STRING>
  --MPPrefilterType <STRING>
  --MPPrefilterFctn <STRING>
  --MPWindowGap <INTEGER>
  --MPLowerWindow <INTEGER>
  --MPUpperWindow <INTEGER>
  --MPStartFreq <FLOAT>
  --MPEndFreq <FLOAT>
  --MPWindowExponent <FLOAT>
  --MPFilterLen <INTEGER>
  --MPFSharpness <FLOAT>
  --MPBandSplit <INTEGER>
  --MPHDRecover <STRING>
  --MPEPPreserve <STRING>
  --MPHDMultExponent <INTEGER>
  --MPPFFinalWindow <INTEGER>
  --MPPFNormFactor <FLOAT>
  --MPPFNormType <STRING>
  --MPPFOutFile <STRING>
  --MPPFOutFileType <STRING>
  --DLType <STRING>
  --DLMinGain <FLOAT>
  --DLStartFreq <FLOAT>
  --DLEndFreq <FLOAT>
  --DLStart <FLOAT>
  --DLMultExponent <INTEGER>
  --EPPrefilterType <STRING>
  --EPPrefilterFctn <STRING>
  --EPWindowGap <INTEGER>
  --EPLowerWindow <INTEGER>
  --EPUpperWindow <INTEGER>
  --EPStartFreq <FLOAT>
  --EPEndFreq <FLOAT>
  --EPWindowExponent <FLOAT>
  --EPFilterLen <INTEGER>
  --EPFSharpness <FLOAT>
  --EPBandSplit <INTEGER>
  --EPPFFlatGain <FLOAT>
  --EPPFOGainFactor <FLOAT>
  --EPPFFlatType <STRING>
  --EPPFFGMultExponent <INTEGER>
  --EPPFFinalWindow <INTEGER>
  --EPPFNormFactor <FLOAT>
  --EPPFNormType <STRING>
  --EPPFOutFile <STRING>
  --EPPFOutFileType <STRING>
  --PCOutWindow <INTEGER>
  --PCNormFactor <FLOAT>
  --PCNormType <STRING>
  --PCOutFile <STRING>
  --PCOutFileType <STRING>
  --ISType <STRING>
  --ISPETType <STRING>
  --ISPrefilterFctn <STRING>
  --ISPELowerWindow <INTEGER>
  --ISPEUpperWindow <INTEGER>
  --ISPEStartFreq <INTEGER>
  --ISPEEndFreq <INTEGER>
  --ISPEFilterLen <INTEGER>
  --ISPEFSharpness <FLOAT>
  --ISPEBandSplit <INTEGER>
  --ISPEWindowExponent <FLOAT>
  --ISPEOGainFactor <FLOAT>
  --ISSMPMultExponent <INTEGER>
  --ISOutWindow <INTEGER>
  --ISNormFactor <FLOAT>
  --ISNormType <STRING>
  --ISOutFile <STRING>
  --ISOutFileType <STRING>
  --PTType <STRING>
  --PTReferenceWindow <INTEGER>
  --PTDLType <STRING>
  --PTDLMinGain <FLOAT>
  --PTDLStart <FLOAT>
  --PTDLStartFreq <FLOAT>
  --PTDLEndFreq <FLOAT>
  --PTDLMultExponent <INTEGER>
  --PTBandWidth <FLOAT>
  --PTPeakDetectionStrength <FLOAT>
  --PTMultExponent <INTEGER>
  --PTFilterLen <INTEGER>
  --PTFilterFile <STRING>
  --PTFilterFileType <STRING>
  --PTNormFactor <FLOAT>
  --PTNormType <STRING>
  --PTOutFile <STRING>
  --PTOutFileType <STRING>
  --PTOutWindow <INTEGER>
  --PLType <STRING>
  --PLMaxGain <FLOAT>
  --PLStart <FLOAT>
  --PLStartFreq <FLOAT>
  --PLEndFreq <FLOAT>
  --PLMultExponent <INTEGER>
  --PLOutWindow <INTEGER>
  --PLNormFactor <FLOAT>
  --PLNormType <STRING>
  --PLOutFile <STRING>
  --PLOutFileType <STRING>
  --RTType <STRING>
  --RTPrefilterFctn <STRING>
  --RTWindowGap <INTEGER>
  --RTLowerWindow <INTEGER>
  --RTUpperWindow <INTEGER>
  --RTStartFreq <FLOAT>
  --RTEndFreq <FLOAT>
  --RTWindowExponent <FLOAT>
  --RTFilterLen <INTEGER>
  --RTFSharpness <FLOAT>
  --RTBandSplit <INTEGER>
  --RTOutWindow <INTEGER>
  --RTNormFactor <FLOAT>
  --RTNormType <STRING>
  --RTOutFile <STRING>
  --RTOutFileType <STRING>
  --PSFilterType <STRING>
  --PSInterpolationType <STRING>
  --PSMultExponent <INTEGER>
  --PSFilterLen <INTEGER>
  --PSNumPoints <INTEGER>
  --PSPointsFile <STRING>
  --PSMagType <STRING>
  --PSOutWindow <INTEGER>
  --PSNormFactor <FLOAT>
  --PSNormType <STRING>
  --PSOutFile <STRING>
  --PSOutFileType <STRING>
  --MSMultExponent <INTEGER>
  --MSOutWindow <INTEGER>
  --MSFilterDelay <INTEGER>
  --MSNormFactor <FLOAT>
  --MSNormType <STRING>
  --MSOutFile <STRING>
  --MSOutFileType <STRING>
  --TCNormFactor <FLOAT>
  --TCNormType <STRING>
  --TCOutFile <STRING>
  --TCOutFileType <STRING>
  --TCOWFile <STRING>
  --TCOWFileType <STRING>
  --TCOWNormFactor <FLOAT>
  --TCOWNormType <STRING>
  --TCOWSkip <INTEGER>
  --TCOWPrewindow <INTEGER>
  --TCOWLength <INTEGER>

Refer to the manual and samples for options details and file format.

AUTHOR
This manual page was written by Jaromír Mikeš <mira.mikes@seznam.cz>, for the Debian project (but may be used by others).